<?php

namespace Drupal\static_asset_cache_buster;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;

/**
 * Replace the class for the 'plugin.manager.linkit.substitution' service.
 */
class StaticAssetCacheBusterServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    if ($container->hasDefinition('plugin.manager.linkit.substitution')) {
      $definition = $container->getDefinition('plugin.manager.linkit.substitution');
      $definition->setClass('Drupal\static_asset_cache_buster\SubstitutionManager');
    }
  }

}
